Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2010:0736-1 (moderate): mipv6d security update
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Sun, 17 Oct 2010 21:08:12 +0200 (CEST)
  • Message-id: <20101017190812.9052DBE45@xxxxxxxxxxxxxx>
openSUSE Security Update: mipv6d security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0736-1
Rating: moderate
References: #424311
Cross-References: CVE-2010-2522 CVE-2010-2523
Affected Products:
openSUSE 11.3
openSUSE 11.2
openSUSE 11.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

the mipv6 daemon did not check the origin of netlink
messages, therefore allowing local users to spoof messages
(CVE-2010-2522). remote attackers could cause buffer
overflows in mipv6d (CVE-2010-2523).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch mipv6d-3093

- openSUSE 11.2:

zypper in -t patch mipv6d-3093

- openSUSE 11.1:

zypper in -t patch mipv6d-3093

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

mipv6d-2.0.2-8.1.1

- openSUSE 11.2 (i586 x86_64):

mipv6d-2.0.2-4.1.1

- openSUSE 11.1 (i586 ppc x86_64):

mipv6d-2.0.2-2.1.1


References:

http://support.novell.com/security/cve/CVE-2010-2522.html
http://support.novell.com/security/cve/CVE-2010-2523.html
https://bugzilla.novell.com/424311


< Previous Next >
This Thread
  • No further messages